MapScale Docs
•••
API ReferenceHealth and contract
MapScale API
GET/v1/places/nearby

GET /v1/places/nearby

Public operational checks and the OpenAPI document.

LIVE API PLAYGROUND

Sign in or create an account

Continue to run live requests directly from the docs.

Sends this request to the live API and shows the real response.

Parameters

22 possible values
Equivalent request
curl \
  -H "X-MapScale-Key: $MAPSCALE_API_KEY" \
  "https://api.mapscale.io/v1/places/nearby?point=100.5018%2C13.7563&lang=en&radius=your-radius&limit=5"
Response
Default response
{
  "status": "200",
  "contentType": "application/json",
  "description": "Nearby places; baseScore is crow-fly distance in meters"
}

Responses

200Nearby places; baseScore is crow-fly distance in metersapplication/json
400Invalid requestapplication/json
401mapscale/effect-api/UnauthorizedFailureapplication/json
403mapscale/effect-api/ForbiddenFailureapplication/json
404Place not foundapplication/json
429mapscale/effect-api/RateLimitedFailureapplication/json
500mapscale/effect-api/MiddlewareInternalFailureapplication/json
502Place database unavailableapplication/json
503mapscale/effect-api/UpstreamUnavailableFailureapplication/json

On this page